question

imranjan-8019 avatar image
0 Votes"
imranjan-8019 asked ·

Uploading Android apk into play store


I'm trying to upload app into playstore, getting this error:

Your app currently targets API level 28 and must target at least API level 29 to ensure that it is built on the latest APIs optimised for security and performance. Change your app's target API level to at least 29.

I have check manifest and even in general and Android application selected target version is 29
71102-screenshot-2021-02-23-at-31419-pm.png


71103-screenshot-2021-02-23-at-31402-pm.png


71122-screenshot-2021-02-23-at-31354-pm.png



How can I fix?

dotnet-xamarinformsdotnet-android
· 2
10 |1000 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

![71055-screenshot-2021-02-23-at-31419-pm.png][1]

Sorry above manifest image is not complete
[1]: /answers/storage/temp/71055-screenshot-2021-02-23-at-31419-pm.png

0 Votes 0 ·

Hi, @imranjan-8019 . When setting the TargetFramework to Android 10, it will use the AndroidX library. Please make sure you've updated the references. And code of the AndroidManifest.xml should also be updated, the provider tag should be like below:

<provider android:name="androidx.core.content.FileProvider" ...>
      <meta-data android:name="android.support.FILE_PROVIDER_PATHS" 
                     android:resource="@xml/file_paths"></meta-data>
</provider>

Please make sure the project works fine in debug mode with TargetFramework 10.

0 Votes 0 ·

0 Answers